curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"description": "<string>",
"labels": [
"<string>"
],
"severity_level": "LOW",
"status": "OPEN",
"notifications_muted": true,
"affected_session_count": 1,
"remediation_summary": {
"primary_recommendation": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"latest_action": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"recommendation_count": 1,
"completed_action_count": 1
},
"merged_signal_count": 1,
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"next_cursor": "<string>",
"total": 1
},
"facets": {
"labels": [
{
"label": "<string>",
"count": 1
}
],
"open_count": 1,
"resolved_count": 1,
"muted_count": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Signals
List top-level Signals for one log stream or experiment run.
Results are ordered by internal priority and last seen time. Open Signals whose notifications are not muted are returned by default. A cursor may be reused only with the same filters.
Authorizations
Query Parameters
Case-insensitive title and problem search. An exact SIG-N value also matches the display key.
1 - 255Match Signals containing any selected label.
201 - 255Severity levels to include.
3Severity level shown to users and used for notification selection.
LOW, MEDIUM, HIGH User-marked states to include. Defaults to open Signals.
2Signal state selected by a user.
OPEN, RESOLVED Notification state to include. Defaults to Signals whose notifications are not muted.
UNMUTED, MUTED, ALL Include Signals last seen at or after this timestamp.
Include Signals last seen before this timestamp.
Cursor returned by the previous page with the same filters.
1 - 2048Maximum Signals returned in one page.
1 <= x <= 100Response
Successful Response
Was this page helpful?